package com.mudu.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.mudu.base.controller.BaseController;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mudu.base.domain.AjaxResult;
import com.mudu.entity.ASafeXcrwjcx;
import com.mudu.service.ASafeXcrwjcxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.io.Serializable;
import java.util.List;

/**
 * (ASafeXcrwjcx)表控制层
 *
 * @author wu
 * @since 2024-02-26 10:43:24
 */
@RestController
@RequestMapping("pharmaceuticals/aSafeXcrwjcx")
@Api(tags = "")
@Transactional(rollbackFor = Exception.class)
public class ASafeXcrwjcxController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private ASafeXcrwjcxService aSafeXcrwjcxService;

    /**
     * 分页条件查询所有数据
     *
     * @param page         分页条件
     * @param aSafeXcrwjcx 查询条件
     * @return 所有数据
     */
    @GetMapping
    @ApiOperation(value = "分页条件查询", response = ASafeXcrwjcx.class)
    public AjaxResult page(Page<ASafeXcrwjcx> page, ASafeXcrwjcx aSafeXcrwjcx) {
        return success(aSafeXcrwjcxService.page(page, new QueryWrapper<>(aSafeXcrwjcx)));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    @ApiOperation(value = "通过主键查询单条", response = ASafeXcrwjcx.class)
    public AjaxResult getById(@PathVariable Serializable id) {
        return success(aSafeXcrwjcxService.getById(id));
    }

    /**
     * 新增数据
     *
     * @param aSafeXcrwjcx 实体对象
     * @return 新增结果
     */
    @PostMapping
    @ApiOperation(value = "新增", response = ASafeXcrwjcx.class)
    public AjaxResult insert(@RequestBody ASafeXcrwjcx aSafeXcrwjcx) {
        return success(aSafeXcrwjcxService.save(aSafeXcrwjcx));
    }

    /**
     * 修改数据
     *
     * @param aSafeXcrwjcx 实体对象
     * @return 修改结果
     */
    @PutMapping
    @ApiOperation(value = "修改")
    public AjaxResult update(@RequestBody ASafeXcrwjcx aSafeXcrwjcx) {
        return success(aSafeXcrwjcxService.updateById(aSafeXcrwjcx));
    }

    /**
     * 删除数据
     *
     * @param idList 主键集合
     * @return 删除结果
     */
    @DeleteMapping
    @ApiOperation(value = "删除")
    public AjaxResult delete(@RequestParam("idList") List<Long> idList) {
        return success(aSafeXcrwjcxService.removeByIds(idList));
    }
}

