package com.mudu.entity.dto.request;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.mudu.entity.ACheckQuatzEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author dong
 * @since 2024/3/18 14:23
 */
@Data
@ApiModel("定时任务巡查请求类")
public class ACheckQuatzRequest {

    /**
     * 工单id
     */
    @ApiModelProperty(value = "工单id")
    private String improvingNo;


    /**
     * 人员编号
     */
    @ApiModelProperty(value = "人员编号")
    private String rybh;

    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业名称")
    private String name;

    /**
     * 企业信用代码
     */
    @ApiModelProperty(value = "企业信用代码")
    private String entCode;

    /**
     * 创建时间
     */
    @ApiModelProperty("上报时间(如果巡查一起提交,获取巡查的巡查日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportDateTime;

    /**
     * 整改完成日期
     */
    @ApiModelProperty("整改完成日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finalDateTime;
    /**
     * 定时任务请求类
     */
    @ApiModelProperty(value = "定时任务巡查请求类")
    List<ACheckQuatzEntity> list;
}
