package com.mudu.entity.dto.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 企业信息响应类
 *
 * @author wu
 * @since 2024/2/22 16:48
 */
@Data
@ApiModel(value = "企业信息响应类")
public class EnterpriseResponse implements Serializable {
    private static final long serialVersionUID = -2964947748678034353L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private String id;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String name;

    /**
     * 机构代码证
     */
    @ApiModelProperty(value = "机构代码证")
    private String certificateCode;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private String longitude;

    /**
     * 维度
     */
    @ApiModelProperty(value = "维度")
    private String latitude;

    /**
     * 注册地
     */
    @ApiModelProperty(value = "注册地")
    private String registerAddress;

    /**
     * 经营地
     */
    @ApiModelProperty(value = "经营地")
    private String businessAddress;

    /**
     * 所属园区
     */
    @ApiModelProperty(value = "所属园区")
    private String parkName;

    /**
     * 房东企业联系人
     */
    @ApiModelProperty(value = "房东企业联系人")
    private String personInCharge;

    /**
     * 房东企业联系电话
     */
    @ApiModelProperty(value = "房东企业联系电话")
    private String personInChargePhone;

    /**
     * 网格编号
     */
    @ApiModelProperty(value = "网格编号")
    private String locationID;

    /**
     * 网格名称
     */
    @ApiModelProperty(value = "网格名称")
    private String locationName;

    /**
     * 企业性质类别
     */
    @ApiModelProperty(value = "企业性质类别")
    private String typeID;

    /**
     * 企业性质
     */
    @ApiModelProperty(value = "企业性质")
    private String typeName;

    /**
     * 行业列表代码
     */
    @ApiModelProperty(value = "行业列表代码")
    private String industryID;

    /**
     * 行业类别门类
     */
    @ApiModelProperty(value = "行业类别门类")
    private String industryName;

    /**
     * 从业人员数量
     */
    @ApiModelProperty(value = "从业人员数量")
    private Integer person;

    /**
     * 主营产品
     */
    @ApiModelProperty(value = "主营产品")
    private String businessScope;

    /**
     * 企业状态
     */
    @ApiModelProperty(value = "企业状态")
    private String Status;

    /**
     * 法人代表
     */
    @ApiModelProperty(value = "法人代表")
    private String personName;

    /**
     * 法人电话
     */
    @ApiModelProperty(value = "法人电话")
    private String phone;
}
